Redmine - Defect #22123

Totals cannot be removed completely if some columns are set in the global settings

2016-03-01 15:35 - Olivier Houdas

Status: Closed Start date:

Priority: High Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues filter Estimated time: 0.00 hour
Target version: 3.24

Resolution: Fixed Affected version: 3.2.0
Description

1. Set Estimated time as a totalable column in Administration\Settings\Issue tracking
2. Display a list of issues: the estimated time is shown at the top and for each group if the list is grouped.
3. Unroll the Options, uncheck Estimated time (and any other column for totals if there are), Apply

Result: the Estimated time total is still shown.

In fact, it is not possible to completely remove totals if one or more column is set in the global settings.

For us, it is an issue,

1. Because we want to have default totalable columns, as this is not saved in Custom queries (for the moment, maybe it will come in

the future?)

2. We want to produce some issue lists in PDF without showing time information, so without having totals shown.

A possible fix would be to add a hidden field in the issue filter form, and set it to indicate global settings should not apply when the

user manually changed all totals to unchecked (attached patch, based on 3.2.0 code). This is not very elegant, but it works.

Associated revisions

Revision 15510 - 2016-06-11 09:42 - Jean-Philippe Lang

Totals cannot be removed completely if some columns are set in the global settings (#22123).

Revision 15514 - 2016-06-12 08:02 - Jean-Philippe Lang

Merged r15510 (#22123).

Revision 15515 - 2016-06-12 08:03 - Jean-Philippe Lang

Merged r15510 (#22123).

History

#1 - 2016-03-31 10:00 - Toshi MARUYAMA

Could you add test?
source:tags/3.2.1/test/ui/issues_test_ui.rb

#2 - 2016-04-28 16:18 - Olivier Houdas

- File Totalable_columns-with_test.patch added

Sorry for the delay.

Here is a patch including tests. If you have a better solution than using sleep(1) for waiting for the page to reload after submitting the changes in
totalable columns selection, | would be glad you update the test with it.

#3 - 2016-06-09 08:40 - Toshi MARUYAMA

- Target version set to 3.3.0

#4 - 2016-06-11 10:00 - Jean-Philippe Lang
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

I committed a slightly simpler fix in r15510. The test was changed to avoid the sleep(1).
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.2.1/test/ui/issues_test_ui.rb
https://www.redmine.org/projects/redmine/repository/svn/revisions/15510

Thanks for pointing this out.

#5 - 2016-06-12 08:03 - Jean-Philippe Lang
- Status changed from Resolved to Closed
- Target version changed from 3.3.0 to 3.2.4

- Resolution set to Fixed

#6 - 2016-06-15 10:18 - Olivier Houdas

>>| committed a slightly simpler fix

Smart one... thank you.

Files

Totalable_columns.patch 2.43 KB 2016-03-01 Olivier Houdas

Totalable_columns-with_test.patch 3.9 KB 2016-04-28 Olivier Houdas
